%define lib_major 2
%define lib_api 1
%define lib_name %mklibname dbus-glib %{lib_api} %{lib_major}
%define develname %mklibname %{name}

%define git_url git://git.freedesktop.org/git/dbus/dbus-glib


Summary: D-Bus message bus
Name: dbus-glib
Version: 0.96
Release: %mkrel 1
URL: http://www.freedesktop.org/Software/dbus
Source0: http://dbus.freedesktop.org/releases/%name/%{name}-%{version}.tar.gz
License: AFL and GPLv2
Group: System/Libraries
BuildRequires: pkgconfig(dbus-1) >= 1.2.16
BuildRequires: pkgconfig(gio-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-2.0) >= 2.26
BuildRequires: pkgconfig(gthread-2.0) >= 2.6
BuildRequires: expat-devel

%description 
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package -n %{lib_name}
Summary: GLib-based library for using D-Bus
Group: System/Libraries
Provides: dbus-glib = %{version}-%{release}
Obsoletes: %{_lib}dbus-glib-1_2 < 0.96

%description -n %{lib_name}
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package -n %{develname}
Summary: Libraries and headers for D-Bus
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{name}-1-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}dbus-glib-1_2-devel < 0.96

%description -n %{develname}
Headers and static libraries for D-Bus.


%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static \
    --disable-tests \
    --disable-verbose-mode \
    --disable-asserts

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

#remove unpackaged file
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*glib*.so.%{lib_major}*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/dbus-binding-tool
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_libdir}/dbus-bash-completion-helper
%{_libdir}/libdbus-glib-%{lib_api}.so
%{_libdir}/pkgconfig/dbus-glib-%{lib_api}.pc
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_includedir}/dbus-1.0/dbus/dbus-gvalue-parse-variant.h
%{_datadir}/gtk-doc/html/dbus-glib/
%{_mandir}/man1/*


%changelog

* Sat Sep 24 2011 fwang <fwang> 0.96-1.mga2
+ Revision: 147230
- disable static
- new version 0.96

  + ahmad <ahmad>
    - Add three patches from upstream to fix a regression after fixing FD.o #36811,
      which broke NetworkManager
      https://bugs.freedesktop.org/show_bug.cgi?id=37852

* Tue Jul 19 2011 cjw <cjw> 0.94-1.mga2
+ Revision: 126688
- 0.94

* Thu Jan 13 2011 ahmad <ahmad> 0.88-2.mga1
+ Revision: 8511
- disable backporting macro for now
- drop old/uneeded scriptlets
- imported package dbus-glib

